{"components":{"schemas":{"Address":{"description":"Company address","properties":{"address":{"description":"Address street information - full","type":"string"},"addressType":{"description":"Address type","type":"string"},"province":{"description":"Province","type":"string"},"streetContinued":{"description":"Address detail street extra information","type":"string"},"streetName":{"description":"Address detail street name","type":"string"},"streetNumber":{"description":"Address detail street number","type":"string"},"streetType":{"description":"Address detail street type","type":"string"},"town":{"description":"Town","type":"string"},"zipCode":{"description":"Zip code","type":"string"}},"type":"object"},"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"BankruptcyStatus":{"properties":{"code":{"description":"Bankruptcy status code","type":"string"},"date":{"description":"Bankruptcy status date (Date in ISO 8601 standard)","type":"string"},"text":{"description":"Bankruptcy status description","type":"string"}},"type":"object"},"Contact":{"properties":{"phoneNumber":{"description":"Telephone number","type":"string"},"webAddress":{"description":"Web address","type":"string"}},"type":"object"},"Industry":{"description":"Industry","properties":{"code":{"description":"Company main industry, CNAE code","type":"string"},"text":{"description":"Company main industry, CNAE description","type":"string"}},"type":"object"},"LatestConfirmedActivityStatus":{"properties":{"code":{"description":"Latest Confirmed Activity Status Code","type":"string"},"date":{"description":"Date when the status was confirmed (ISO 8601 standard)","type":"string"},"text":{"description":"Latest Confirmed Activity status description","type":"string"}},"type":"object"},"LegalGroup":{"properties":{"code":{"description":"Company type code","type":"string"},"text":{"description":"Company type text","type":"string"}},"type":"object"},"Overview":{"description":"Company overview","properties":{"addresses":{"description":"Addresses","items":{"$ref":"#/components/schemas/Address"},"type":"array"},"bankruptcyStatus":{"$ref":"#/components/schemas/BankruptcyStatus"},"changeDate":{"description":"Date for the latest change (Date in ISO 8601 standard)","type":"string"},"companyDeregistrationDate":{"description":"Company deregistration date (Date in ISO 8601 standard)","type":"string"},"companyId":{"description":"National identifier for the company","type":"string"},"companyName":{"description":"Company name","type":"string"},"companyRegistrationDate":{"description":"Date of start of operations-incorporation date (Date in ISO 8601 standard)","type":"string"},"contact":{"$ref":"#/components/schemas/Contact"},"industry":{"$ref":"#/components/schemas/Industry"},"latestConfirmedActivityStatus":{"$ref":"#/components/schemas/LatestConfirmedActivityStatus"},"legalGroup":{"$ref":"#/components/schemas/LegalGroup"},"numberCompanyUnits":{"description":"Number of company units/workplaces","format":"int32","type":"integer"},"numberEmployees":{"description":"Number of employees","format":"int32","type":"integer"},"topDirector":{"$ref":"#/components/schemas/TopDirector"},"tradeName":{"description":"Trade name","type":"string"},"tradeStatus":{"$ref":"#/components/schemas/TradeStatus"}},"type":"object"},"OverviewsResult":{"description":"Company(s) overview(s) result","properties":{"records":{"description":"found overview(s)","items":{"$ref":"#/components/schemas/Overview"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"},"TopDirector":{"description":"Top director","properties":{"name":{"description":"Top director name","type":"string"},"role":{"description":"Top director role","type":"string"}},"type":"object"},"TradeStatus":{"properties":{"code":{"description":"Trade status code","type":"string"},"date":{"description":"Trade status date (Date in ISO 8601 standard)","type":"string"},"text":{"description":"Trade status description","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Fetch company/companies overview(s)\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"OverviewApiEs","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/company-overview-v3.1.svg"}},"openapi":"3.0.1","paths":{"/{companyId}":{"get":{"description":"It supports date parameter to find overview up to date","operationId":"view","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OverviewsResult"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Find overview by company id","tags":["OverviewEs"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/es/company/overview/1.0"}],"x-category":"company","x-countries":["es"],"x-id":"OverviewApiEs"}